
CoCoALib - Feature #246

Approx QIR

01 Oct 2012 11:45 - John Abbott

Status: New Start date: 01 Oct 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.10 hour

Description

Implement (in C++) approximate QIR following the article by Kerber+Sagraloff (publ ISSAC 2011).

The impl will need to base itself on interval arithmetic (probably the impl in the GNU MPFR library).

Related issues:

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

Related to CoCoALib - Feature #974: QIR/RealRootRefine: improve behaviour if ... In Progress 17 Nov 2016

History

#1 - 01 Oct 2012 12:24 - John Abbott

The web page for MPFR reports that there is a library MPFI which implements interval arithmetic on top of MPFR.

#2 - 28 Jan 2013 08:07 - Anna Maria Bigatti

- Category set to New Function

#3 - 01 Apr 2014 17:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#4 - 04 Apr 2014 17:16 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-1.0

#5 - 17 Nov 2016 19:16 - John Abbott

- Related to Feature #974: QIR/RealRootRefine: improve behaviour if input interval has "nasty" endpoints added
